Bug 53 - Get rid of module_path_get_name() for the VFS
Get rid of module_path_get_name() for the VFS
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.0preX
All All
: P2 normal
: none
Assigned To: Jelmer Vernooij
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-30 08:09 UTC by Jelmer Vernooij
Modified: 2005-08-24 10:17 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jelmer Vernooij 2003-04-30 08:09:03 UTC
The module_path_get_name() function was a bad idea and should therefore 
go. However, vfs_init_custom() depends on it, so we need to rewrite those 
functions a bit.
Comment 1 Stefan Metzmacher 2003-05-19 00:38:58 UTC
Fixed in 3_0 cvs

metze
Comment 2 Jelmer Vernooij 2003-05-29 12:36:17 UTC
Alexander applied a patch by metze for this 
Comment 3 Stefan Metzmacher 2003-05-29 22:28:57 UTC
I think we can close this bug...

maybe we should remove module_path_get_name() from lib/module.c too

metze
Comment 4 Gerald (Jerry) Carter 2005-02-07 07:54:28 UTC
originally reported against 3.0alpha23.  Bugzilla spring cleaning.
Comment 5 Gerald (Jerry) Carter 2005-08-24 10:17:23 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.